Schéma électronique et PCB, réalisé avec le logiciel libre Kicad, de mon horloge Nixie basée sur un ESP32.


Utilisation des ports de l'ESP32 :
----------------------------------

Name | No. | Type | Function | Utilisation
 --- | --- | --- | --- | ---
GND | 1 | P | GND |
3V3 | 2 | P | Power supply |
EN | 3 | I | High: on enables the chip.Low: off the chip powers off. |
IO4 | 4 | I/O/T | RTC_GPIO4 GPIO4 TOUCH4 ADC1_CH3 |
IO5 | 5 | I/O/T | RTC_GPIO5 GPIO5 TOUCH5 ADC1_CH4 |
IO6 | 6 | I/O/T | RTC_GPIO6 GPIO6 TOUCH6 ADC1_CH5 |
IO7 | 7 | I/O/T | RTC_GPIO7 GPIO7 TOUCH7 ADC1_CH6 |
IO15 | 8 | I/O/T | RTC_GPIO15 GPIO15 U0RTS ADC2_CH4 XTAL_32K_P |
IO16 | 9 | I/O/T | RTC_GPIO16 GPIO16 U0CTS ADC2_CH5 XTAL_32K_N |
IO17 | 10 | I/O/T | RTC_GPIO17 GPIO17 U1TXD ADC2_CH6 |
IO18 | 11 | I/O/T | RTC_GPIO18 GPIO18 U1RXD ADC2_CH7 CLK_OUT3 |
IO8 | 12 | I/O/T | RTC_GPIO8 GPIO8 TOUCH8 ADC1_CH7 SUBSPICS1 |
IO19 | 13 | I/O/T | RTC_GPIO19 GPIO19 U1RTS ADC2_CH8 CLK_OUT2 USB_D- |
IO20 | 14 | I/O/T | RTC_GPIO20 GPIO20 U1CTS ADC2_CH9 CLK_OUT1 USB_D+ |
IO3 | 15 | I/O/T | RTC_GPIO3 GPIO3 TOUCH3 ADC1_CH2 |
IO46 | 16 | I/O/T | GPIO46 |
IO9 | 17 | I/O/T | RTC_GPIO9 GPIO9 TOUCH9 ADC1_CH8 FSPIHD SUBSPIHD |
IO10 | 18 | I/O/T | RTC_GPIO10 GPIO10 TOUCH10 ADC1_CH9 FSPICS0 FSPIIO4SUBSPICS0 |
IO11 | 19 | I/O/T | RTC_GPIO11 GPIO11 TOUCH11 ADC2_CH0 FSPID FSPIIO5SUBSPID |
IO12 | 20 | I/O/T | RTC_GPIO12 GPIO12 TOUCH12 ADC2_CH1 FSPICLK FSPIIO6SUBSPICLK |
IO13 | 21 | I/O/T | RTC_GPIO13 GPIO13 TOUCH13 ADC2_CH2 FSPIQ FSPIIO7SUBSPIQ |
IO14 | 22 | I/O/T | RTC_GPIO14 GPIO14 TOUCH14 ADC2_CH3 FSPIWP FSPIDQSSUBSPIWP |
IO21 | 23 | I/O/T | RTC_GPIO21 GPIO21 |
IO47 | 24 | I/O/T | SPICLK_P_DIFF GPIO47 SUBSPICLK_P_DIFF |
IO48 | 25 | I/O/T | SPICLK_N_DIFF GPIO48 SUBSPICLK_N_DIFF |
IO45 | 26 | I/O/T | GPIO45 |
IO0 | 27 | I/O/T | RTC_GPIO0 GPIO0 |
NC | 28 | - | NC |
NC | 29 | - | NC |
NC | 30 | - | NC |
IO38 | 31 | I/O/T | GPIO38 FSPIWP SUBSPIWP |
IO39 | 32 | I/O/T | MTCK GPIO39 CLK_OUT3 SUBSPICS1 |
IO40 | 33 | I/O/T | MTDO GPIO40 CLK_OUT2 |
IO41 | 34 | I/O/T | MTDI GPIO41 CLK_OUT1 |
IO42 | 35 | I/O/T | MTMS GPIO42 |
RXD0 | 36 | I/O/T | U0RXD GPIO44 CLK_OUT2 |
TXD0 | 37 | I/O/T | U0TXD GPIO43 CLK_OUT1 |
IO2 | 38 | I/O/T | RTC_GPIO2 GPIO2 TOUCH2 ADC1_CH1 | RAZ
IO1 | 39 | I/O/T | RTC_GPIO1 GPIO1 TOUCH1 ADC1_CH0 |
GND | 40 | P | GND |
EPAD | 41 | P | GND | 123
